Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# Class SIPml.Session.Registration

Extends SIPml.Session.
Defined in: SIPml.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml.Session.Registration(session, configuration) SIP session registration class.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| register(configuration) Sends SIP REGISTER request to login the user.
| unregister(configuration) Sends SIP REGISTER (expires=0) request to logout the user.

Methods borrowed from class SIPml.Session:
  accept, getId, getRemoteFriendlyName, getRemoteUri, reject, setConfiguration
Methods borrowed from class SIPml.EventTarget:
  addEventListener, removeEventListener

Class Detail
SIPml.Session.Registration(session, configuration)
SIP session registration class. You should never create an instance of this class by yourself. Please use stack.newSession() function to create a new registration session.

Parameters:
{tsip_session} session
  Private wrapped session object
{SIPml.Session.Configuration} configuration Optional
  Configuration value.

Method Detail
register(configuration)
Sends SIP REGISTER request to login the user. Refreshing requests will be automatically done based on the expiration time.

    var session = stack.newSession('register', {
                                expires: 200,
                                events_listener: { events: '*', listener: onSipEventSession },
                                sip_caps: [
                                            { name: '+g.oma.sip-im', value: null },
                                            { name: '+audio', value: null },
                                            { name: 'language', value: '\"en,fr\"' }
                                    ]
                            });
    session.register();

Parameters:
{SIPml.Session.Configuration} configuration Optional
  Optional configuration value.

Throws:
{ERR_INVALID_STATE}
  ERR_INVALID_STATE

See:
  unregister

unregister(configuration)
Sends SIP REGISTER (expires=0) request to logout the user.

Parameters:
{SIPml.Session.Configuration} configuration Optional
  Configuration value.

Throws:
{ERR_INVALID_STATE}
  ERR_INVALID_STATE

See:
  register

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)